<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.42.10.7
Name: BgZ2017 Sociale anamnese
Description: Template CDA Section (prototype, directly derived from POCD_RM000040 MIF) + SDTC extensions
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000">
   <title>BgZ2017 Sociale anamnese</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.42.10.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]]
Item: (BgZ2017SocialAnamesis)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.42.10.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]
Item: (BgZ2017SocialAnamesis)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]"
         id="d42e29535-false-d172883e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']) &gt;= 1">(BgZ2017SocialAnamesis): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']) &lt;= 1">(BgZ2017SocialAnamesis): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000.html"
              test="count(hl7:code[(@code = '29762-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(BgZ2017SocialAnamesis): element hl7:code[(@code = '29762-2' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000.html"
              test="count(hl7:code[(@code = '29762-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(BgZ2017SocialAnamesis): element hl7:code[(@code = '29762-2' and @codeSystem = '2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(BgZ2017SocialAnamesis): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(BgZ2017SocialAnamesis): element hl7:title[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(BgZ2017SocialAnamesis): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(BgZ2017SocialAnamesis): element hl7:text[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.34']]]) &lt;= 1">(BgZ2017SocialAnamesis): element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.34']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.42.10.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']
Item: (BgZ2017SocialAnamesis)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']"
         id="d42e29540-false-d173120e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(BgZ2017SocialAnamesis): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.42.10.7')">(BgZ2017SocialAnamesis): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.42.10.7' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.42.10.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]/hl7:code[(@code = '29762-2' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (BgZ2017SocialAnamesis)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]/hl7:code[(@code = '29762-2' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e29545-false-d173135e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(BgZ2017SocialAnamesis): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000.html"
              test="@nullFlavor or (@code='29762-2' and @codeSystem='2.16.840.1.113883.6.1')">(BgZ2017SocialAnamesis): de elementwaarde MOET een zijn van 'code '29762-2' codeSystem '2.16.840.1.113883.6.1''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000.html"
              test="@displayName">(BgZ2017SocialAnamesis): attribute @displayName MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.42.10.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]/hl7:title[not(@nullFlavor)]
Item: (BgZ2017SocialAnamesis)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]/hl7:title[not(@nullFlavor)]"
         id="d42e29559-false-d173154e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(BgZ2017SocialAnamesis): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.42.10.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]/hl7:text[not(@nullFlavor)]
Item: (BgZ2017SocialAnamesis)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]/hl7:text[not(@nullFlavor)]"
         id="d42e29565-false-d173164e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(BgZ2017SocialAnamesis): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SD.TEXT" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.42.10.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.34']]]
Item: (BgZ2017SocialAnamesis)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.34']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000.html"
              test="string(@typeCode) = ('DRIV')">(BgZ2017SocialAnamesis): de waarde van typeCode MOET 'DRIV' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(BgZ2017SocialAnamesis): de waarde van contextConductionInd MOET 'true' zijn. Gevonden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.42.10.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.22']]]
Item: (BgZ2017SocialAnamesis)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.22']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000.html"
              test="string(@typeCode) = ('DRIV')">(BgZ2017SocialAnamesis): de waarde van typeCode MOET 'DRIV' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(BgZ2017SocialAnamesis): de waarde van contextConductionInd MOET 'true' zijn. Gevonden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.42.10.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.18']]]
Item: (BgZ2017SocialAnamesis)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.18']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000.html"
              test="string(@typeCode) = ('DRIV')">(BgZ2017SocialAnamesis): de waarde van typeCode MOET 'DRIV' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(BgZ2017SocialAnamesis): de waarde van contextConductionInd MOET 'true' zijn. Gevonden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.42.10.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.14']]]
Item: (BgZ2017SocialAnamesis)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.3.10.14']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000.html"
              test="string(@typeCode) = ('DRIV')">(BgZ2017SocialAnamesis): de waarde van typeCode MOET 'DRIV' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(BgZ2017SocialAnamesis): de waarde van contextConductionInd MOET 'true' zijn. Gevonden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.42.10.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.40']]]
Item: (BgZ2017SocialAnamesis)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.42.10.7']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.7.10.40']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000.html"
              test="string(@typeCode) = ('DRIV')">(BgZ2017SocialAnamesis): de waarde van typeCode MOET 'DRIV' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20221222T135940/tmp-2.16.840.1.113883.2.4.3.11.60.42.10.7-2017-10-24T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(BgZ2017SocialAnamesis): de waarde van contextConductionInd MOET 'true' zijn. Gevonden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
